Kodi 17.0

Kodi 17.0 already available for Android 5.0 or higher, new interface and more supported audio systems

The popular open source media player Kodi (formerly XBMC) this week received a major update. It has been officially updated to version v17.0 “Krypton” presenting three important new features in its version for Android devices.

The first most important novelty of Kodi 17.0 “Krypton” is that now requires Android 5.0 or higher, Previous versions required as minimum version Android 4.2, so these devices can not enjoy the new version.

Kodi 17.0
Image Source: Google Image

The second novelty is its new interface. The application has abandoned the old subject “Confluence” to set the default theme “Estuary”, which has a much more modern design. In the themes configuration we will also find the theme “Estouchy”, which is a version adapted for touch screens, showing the texts and larger buttons.

You may also like to read another article on FreshLookApp: Gfycat Loops, so you can create and share GIFs with this new app

Finally, the third novelty is that the application has now improved compatibility with audio systems. Now it allows to pass through with the systems of sound DTS, DTS-HD, DTS-X, Dolby TrueHD and Dolby ATMOS when we connect our device to a compatible amplifier.

Leave a Reply

Your email address will not be published. Required fields are marked *